"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useIsPackageInstalled = void 0;
const client_1 = require("@deep-foundation/deeplinks/imports/client");
const react_1 = require("react");
function useIsPackageInstalled(param) {
    const { packageName, shouldIgnoreResultWhenLoading = false, onError } = param;
    const [isPackageInstalled, setIsPackageInstalled] = (0, react_1.useState)(undefined);
    const { data, loading, error } = (0, client_1.useDeepSubscription)({
        type_id: {
            _id: ['@deep-foundation/core', 'Package'],
        },
        string: {
            value: packageName,
        },
    });
    (0, react_1.useEffect)(() => {
        if (shouldIgnoreResultWhenLoading && loading) {
            return;
        }
        if (error) {
            onError === null || onError === void 0 ? void 0 : onError({ error });
        }
        setIsPackageInstalled(error ? undefined : (data ? data.length > 0 : undefined));
    }, [data, loading, error]);
    return { isPackageInstalled, loading, error };
}
exports.useIsPackageInstalled = useIsPackageInstalled;
